Subject: Re: bug#54921: eww/url mishandles IDN over proxy

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 16 Apr 2022 17:03:02 +0200

Andreas Schwab <[email-masked]> writes:

>> And then have separate functions to reconstruct the URL with the IDNA or
>> the original domain name, depending on what we want?  I don't think that
>> makes that much sense.
>
> Just add an optional argument.

I don't think that is much of an improvement -- url-recreate-url is
pretty well-defined as it is.

So I've pushed the proposed patch, which I assume fixed the problem.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no